Bug 1015 - Samba 3.0.1 Build fails on SuSe sles 8 on IBM iSeries PPC linux
Samba 3.0.1 Build fails on SuSe sles 8 on IBM iSeries PPC linux
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.1
All Linux
: P3 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-29 08:53 UTC by John Janosik
Modified: 2005-11-14 09:27 UTC (History)
0 users

See Also:


Attachments
patch to update includes.h for sles8 ppc iSeries broken statfs (610 bytes, patch)
2004-02-02 10:19 UTC, Jim McDonough
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Janosik 2004-01-29 08:53:53 UTC
Broken system headers on SuSe sles 8 cause redefinition of struct statfs:

Compiling dynconfig.c
In file included from /usr/include/asm/statfs.h:6,
                 from /usr/include/linux/vfs.h:4,
                 from /usr/include/linux/fs.h:13,
                 from /usr/include/linux/capability.h:17,
                 from /usr/include/sys/capability.h:24,
                 from include/includes.h:355,
                 from dynconfig.c:21:
/usr/include/asm-ppc/statfs.h:15: redefinition of `struct statfs'
make: *** [dynconfig.o] Error 1

There is already a configure check for this problem for RedHat 7.2 on i386.  To
resolve the problem I modified the workaround in include/includes.h to also
define _PPC_STATFS_H in addition to _I386_STATFS_H.
Comment 1 Tim Potter 2004-02-01 14:21:59 UTC
Can you send a patch please?
Comment 2 Jim McDonough 2004-02-02 10:19:33 UTC
Created attachment 377 [details]
patch to update includes.h for sles8 ppc iSeries broken statfs

I'm affixing the patch for John, per IBM rules :-)
Comment 3 Gerald (Jerry) Carter 2004-03-04 10:35:16 UTC
applied to 3.0 & HEAD
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:17:08 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:27:01 UTC
database cleanup